#----------------------------------------------------------------------------bh-
# This RPM .spec file is part of the OpenHPC project.
#
# It may have been modified from the default version supplied by the underlying
# release package (if available) in order to apply patches, perform customized
# build/install configurations, and supply additional files to support
# desired integration conventions.
#
#----------------------------------------------------------------------------eh-

%include %{_sourcedir}/OHPC_macros
%{!?PROJ_DELIM: %define PROJ_DELIM -ohpc}

%define RC_VER 1

Summary:  OpenHPC release files
Name:     ohpc-release-RC%{RC_VER}
Version:  %{ohpc_version}
Release:  1
License:  BSD-3
Group:    ohpc/admin
URL:      https://github.com/openhpc/ohpc
Source1:  RPM-GPG-KEY-OpenHPC-1

Provides: ohpc-release = %{version}

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
DocDir:    %{OHPC_PUB}/doc/contrib

# package repository definitions

%if 0%{?sles_version} || 0%{?suse_version}
%define __repodir /etc/zypp/repos.d
%else
%define __repodir /etc/yum.repos.d
Requires: epel-release
%endif

%description

Collection of OpenHPC release files including package repository
definition. The RC releaseS are intended for pre-release testing.

%prep

%build

%install

%{__mkdir} ${RPM_BUILD_ROOT}/etc

# /etc/ohpc-release

cat >> ${RPM_BUILD_ROOT}/etc/ohpc-release <<EOF
OpenHPC release %{version} (%{_repository})
HOME_URL="http://openhpc.community"
BUG_REPORT_URL="https://github.com/openhpc/ohpc/issues"
EOF

%{__mkdir_p} ${RPM_BUILD_ROOT}/%{__repodir}

# additional logic to determine whether this is a micro update release or
# not. If not, then we enable factory for the initial minor release. If it is a
# micro update, we enable factory for the update instead.

%if 0%{?ohpc_micro_update} 

cat >> ${RPM_BUILD_ROOT}/%{__repodir}/OpenHPC.repo <<EOF
[OpenHPC]
name=OpenHPC-1 - Base
baseurl=%{ohpc_repo}/OpenHPC:/%{ohpc_version}/%{_repository}
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-OpenHPC-1

[OpenHPC-updates]
name=OpenHPC-1 - Updates
baseurl=%{ohpc_repo}/OpenHPC:/%{ohpc_version}:/Update%{ohpc_micro_update}:/Factory/%{_repository}
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-OpenHPC-1
EOF


%else

cat >> ${RPM_BUILD_ROOT}/%{__repodir}/OpenHPC.repo <<EOF
[OpenHPC]
name=OpenHPC-1 - Base
baseurl=%{ohpc_repo}/OpenHPC:/%{ohpc_version}:/RC%{RC_VER}/%{_repository}
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-OpenHPC-1

[OpenHPC-updates]
name=OpenHPC-1 - Updates
baseurl=%{ohpc_repo}/OpenHPC:/%{ohpc_version}/updates/%{_repository}
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-OpenHPC-1
EOF

%endif

# repository GPG key

install -D -m 0644 %SOURCE1 ${RPM_BUILD_ROOT}/etc/pki/rpm-gpg/RPM-GPG-KEY-OpenHPC-1

%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config /etc/ohpc-release

%if 0%{?sles_version} || 0%{?suse_version}
%dir /etc/zypp
%endif

%{__repodir}
/etc/pki

%changelog

